<?php

defined('SYSPATH') or die('No direct script access.');

class Controller_Index extends Controller_Template {

    public $template = 'templates/v_default';

    public function __before() {
        $this->template->title = '';
        $this->template->description = '';
        $this->template->first_block_title = '';
        $this->template->first_block = '';
        $this->template->second_block_title = '';
        $this->template->second_block = '';
    }

    public function action_index() {
        $params = Kohana::$config->load('var_config');
        $this->template->title = $params->get('title');
        $this->template->description = $params->get('description');
        $this->template->first_block_title = $params->get('first_block_title');
        $this->template->first_block = $params->get('first_block_text');
        $this->template->second_block_title = $params->get('second_block_title');
        $this->template->second_block = Request::factory('myforms')->execute()->body();
    }

}
