<?= Form::open('', array('class' => 'send_form')) ?>
<?= Form::input('name', 'Ваше имя') ?>
<br />
<?= Form::input('telephone', 'Ваш телефон') ?>
<br />
<select>
    <option value="6">Украина</option>
    <option value="420">Франция</option>
    <option value="354">Финляндия</option>
    <option value="338">Египет</option>
    <option value="39">Болгария</option>
    <option value="318">Турция</option>
</select>
<br />
<?= Form::button('send', 'Отправить запрос') ?>
<?= Form::close() ?>
<script>
    $(document).ready(function () {
        $('.send_form').submit(function () {
            var form = $(this);
            var error = false;
            var selectval = $('select option:selected').val();
            var telephone = $('input[name=telephone]').val();
            var name = $('input[name=name]').val();
            form.find('input, textarea').each(function () {
                if ($(this).val() == '') {
                    alert('Не заполнено поле "' + $(this).attr('placeholder') + '"!');
                    error = true;
                }
            });
            if (!error) {
                $.ajax({
                    type: 'POST',
                    url: 'http://work.makintour.com/formmail/send',
                    dataType: 'json',
                    data: {'name': name, 'telephone': telephone, 'selectval': selectval},
                    beforeSend: function (data) {
                        form.find('input[type="submit"]').attr('disabled', 'disabled');
                    },
                    success: function (data) {
                        if (data['error']) { // 
                            alert(data['error']);
                        } else {
                            alert('Письмo oтврaвлeнo!');
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        alert(xhr.status);
                        alert(thrownError);
                    },
                    complete: function (data) {
                        //$('.tours').html('ага');
                        $.ajax({
                            type: "GET",
                            dataType: 'json',
                            url: "http://makintour.com/lp/work/api.php",
                            data: {country: selectval},
                            success: function (html) {
                                //$('.tours').html(JSON.stringify(html));
                                var norm_string = JSON.stringify(html);
                                var new_json = JSON.parse(norm_string);
                                $('.tours').html('');
                                for (z in new_json.hotels)
                                {
                                    $('.tours').append('<div class="tour tour_no_'+z+'">Отель: ' + new_json.hotels[z].hotel + '<br />');
                                    $('.tour_no_'+z).append('<B>Курорт:</b> ' + new_json.hotels[z].region + '<br />');
                                    $('.tour_no_'+z).append('<b>Цена от:</b> ' + new_json.hotels[z].min_price + '<br />');
                                    $('.tour_no_'+z).append('<b>Кол-во ночей:</b> ' + new_json.hotels[z].offers[0].duration + '<br />');
                                    $('.tour_no_'+z).append('<b>Дата заезда:</b> ' + new_json.hotels[z].offers[0].date_from + '<br />');
                                    $('.tours').append('</div>');
                                }
                            }
                        });
                    }

                });
            }
            return false;
        });
    });
</script>